Subject: Offline Message from Anthony: Good morning! Hi, we just bought a Swagtron E8
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 14 May 2022 13:00:05 -0000

From: Anthony <[email-masked]>
Phone: 706 333 0398
Location: Virginia Beach, United States
URL: https://swagtron.com/
Department: SwagTron

Good morning!

Hi, we just bought a Swagtron E85 Pro last Sunday for a birthday gift. We just opened it on Thursday. charged it and tried to take it on a spin. After about 10 minutes of riding the rear wheel is completely locked up. It is not the breaks. I am not a mechanic but I am fairly certain the motor is completely seized up. Which is incredibly disappointing and frustrating because we just spent over $600 dollars for the bike. I see this has a 1 year limited warranty and I would like this remedied as soon as possible.

----
Zopim
https://www.zopim.com